
package de.ivu.elect.presentation.wahlbeteiligung.status;

import static de.ivu.elect.jee.presentation.charts.AbstractChartModelBuilder.GRAU;
import static de.ivu.elect.jee.presentation.charts.AbstractChartModelBuilder.GRUEN;
import static de.ivu.elect.jee.presentation.status.OutputSeverity.EMPTY;
import static de.ivu.elect.jee.presentation.status.OutputSeverity.SUCCESS;

import java.util.Arrays;
import java.util.List;

import de.ivu.elect.jee.presentation.status.OutputSeverity;

public enum WahlbeteiligungErfassungsstatus {

  NICHT_ERFASST("wahlbeteiligung.auswertung.statusuebersicht.nicht.erfasst", GRAU, EMPTY),

  ERFASST("wahlbeteiligung.auswertung.statusuebersicht.erfasst", GRUEN, SUCCESS);

  private static final List<WahlbeteiligungErfassungsstatus> SORTIERUNG = Arrays.asList(NICHT_ERFASST, ERFASST);

  private final String pieChartLabel;
  private final String pieChartColor;
  private final OutputSeverity outputSeverity;

  WahlbeteiligungErfassungsstatus(String pieChartLabel, String pieChartColor, OutputSeverity outputSeverity) {
    this.pieChartLabel = pieChartLabel;
    this.pieChartColor = pieChartColor;
    this.outputSeverity = outputSeverity;
  }

  public String getPieChartLabel() {
    return pieChartLabel;
  }

  public String getPieChartColor() {
    return pieChartColor;
  }

  public OutputSeverity getSeverity() {
    return outputSeverity;
  }

  public static List<WahlbeteiligungErfassungsstatus> getSortierungFuerStatusEntryPanels() {
    return SORTIERUNG;
  }
}
